<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@page import="educacion.UsuarioBean"%>
<%@page import="educacion.SubirBean"%>
<html>
<head>
<link href="estilo.css" title="hoja de estilo" rel="stylesheet" type="text/css">  
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Bajar documentacion</title>
<style type="text/css">
/* aņadido por mi para los submenus*/
#menu{
	text-align:left;
	margin-left:5px;
	width:100px;
	position:absolute;
}

#menu1{
	width: 100px;
	position:absolute;
	top:6px;
	left:90px;
	visibitily:hidden;
}	
#menu2{
	width: 100px;
	position:absolute;
	top:240px;
	left:90px;
	visibitily:hidden;
}	
</style>
<script type="text/javascript">
	function oculta(kpa1, kpa2){
		document.getElementById(kpa1).style.visibility="hidden";
		document.getElementById(kpa2).style.visibility="hidden";	
	}
	function muestra(kpa){
		document.getElementById(kpa).style.visibility="visible";
	}
</script>
</head>

<body onload="oculta('menu1','menu2');">
<!-- Begin Wrapper -->
   <div id="wrapper">

   
         <!-- Begin Header -->
         <div id="header">
		 
		       <h1>MODELOS INSTRUCCIONALES Y T&Eacute;CNICAS DE ENSE&Ntilde;ANZA </h1>
			   
		 </div>
		 <!-- End Header -->
		 
		 <!-- Begin Left Column -->
		 		 <div id="leftcolumn">
                      <h2>Menu</h2>
			<div class="leftnav">
				<div id="menu">
				<ul>
					<li><a href="#" onmouseover="muestra('menu1');">Area de usuario</a></li>
					<div id="menu1">
						<ul>
						<li><a href="Login.jsp" >Identificate</a></li>
						<li><a href="fichaAlumno.jsp">Ficha personal</a></li>
						<li><a href="salir.jsp">Salir</a></li>
						</ul>
					</div>
					<li><a href="teorias.jsp" onmouseover="oculta('menu1','menu2');">Teorias instruccionales</a></li>
					<li><a href="estrategias.jsp" onmouseover="oculta('menu1','menu2');">Estrategias</a></li>
					<li><a href="evaluacion.jsp" onmouseover="oculta('menu1','menu2');">Evaluaci&oacute;n</a></li>
					<li><a href="http://my-forum.org/foros.php?id=110052" target=_blank onmouseover="oculta('menu1','menu2');">Foro</a></li>
					<li><a href="buscador.jsp" onmouseover="oculta('menu1','menu2');">Glosario de t&eacute;rminos</a></li>
					<li><a href="listarArchivos.jsp" onmouseover="oculta('menu1','menu2');">Descarga de archivos</a></li>
					<li><a href="principal.jsp" onmouseover="oculta('menu1','menu2');">Inicio</a></li>
					<li><a href="#" onmouseover="muestra('menu2');">Area profesorado</a></li>
					<div id="menu2">
						<ul>
						<li><a href="registro.jsp">Registro de usuarios</a></li>
						<li><a href="subir.jsp">Subir/bajar documentaci&oacute;n</a></li>
						<li><a href="listar.jsp">Dar de baja a usuarios</a></li>
						<li><a href="usuariosRegistrados.jsp">Ver fichas de los usuarios</a></li>
						</ul>
					</div>	
					
				</ul>
				</div>
			</div>

		 
		 </div>		 <!-- End Left Column -->
		 
		 <!-- Begin Right Column -->
		 <div id="rightcolumn">
		       
	
<div class="righttext">
	<p>
<% 	
	//Comprobamos que algun usuario registrado ha iniciado sesion y que es un profesor

	if(session.getAttribute("usuario") != null) 
	{
		UsuarioBean u= (UsuarioBean)session.getAttribute("usuario");
	
		int tipo = u.getTipo();	
		if(tipo == 1){
			
			SubirBean s=(SubirBean)session.getAttribute("SubirBean");
			int numero=s.getNumeroElegido();
			
			//Comparamos la opcion introducida por el usuario para mostrar uno de los formularios
			
			if(numero==1){
				out.println("<br>Recuerda que para borrar una teoria debes haber eliminado primero todos los eventos relacionados con ella");
				out.println("<br>Teorias: <br>");
			%>
				
				<table border=1 align="center">
				<tr>
					<th>Identificador teoria</th>
					<th>Teoria</th>
				</tr>
					
			<% 				
				//Mostramos las teorias y su identificador existentes en la base de datos
	
				String teorias[]=s.listarTeorias();
				int i=0;
					
				while(i!=(s.numeroTeorias()*2)){
					out.println("<tr>");
					out.println("<td>"+teorias[i]+"</td>");
					i++;
					out.println("<td>"+teorias[i]+"</td>");
					out.println("</tr>");
					i++;
				}					
			%>													
				</table><br>
				<FORM name="bajarTeoria" action="Subir" method="POST">
					<p>Introduce el identificador de la teoria que quieres borrar:&nbsp;&nbsp;
				        <INPUT type="text" name="id" size="5">
				    </p>
				
				<BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarTeoria">
				</FORM>

			<% 
			}
			if(numero==2){ 								
				out.println("<br>Recuerda que para borrar una estrategia debes haber eliminado primero todos los eventos relacionados con ella");
				out.println("<br>Estrategias: <br>");
			%>
			
				<table border=1 align="center">
				<tr>
					<th>Identificador estrategia</th>
					<th>Estrategia</th>
				</tr>
			
			<% 			
				String estrategias[]=s.listarEstrategias();
				int i=0;
			
				//Mostramos las estrategias y sus identificadores								
				while(i!=(s.numeroEstrategias()*2)){				
					out.println("<tr>");
					out.println("<td>"+estrategias[i]+"</td>");
					i++;
					out.println("<td>"+estrategias[i]+"</td>");
					out.println("</tr>");
					i++;
				}
			
			%>					
				</table><br>
				<FORM name="bajarEstrategia" action="Subir" method="POST">
					<p>Introduce el identificador de la estrategia que quieres borrar:&nbsp;&nbsp;
			        	<INPUT type="text" name="id" size="5">
			    	</p>
				    <BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarEstrategia">
				</FORM>
			<% 
			}
			if(numero==3){

				out.println("<br>Recuerda que para borrar un evento debes haber eliminado primero todas las tacticas relacionadas con el evento");
				out.println("<br>Eventos: <br>");
			%>
				
				<table border=1 align="center">
				<tr>
					<th>Identificador evento</th>
					<th>Evento</th>
				</tr>
					
			<%
				//Mostramos los eventos y su identificador existentes en la base de datos
				
				String eventos[]=s.listarEventos();
				int i=0;
				while(i!=(s.numeroEventos()*2)){					
					out.println("<tr>");
					out.println("<td>"+eventos[i]+"</td>");
					i++;
					out.println("<td>"+eventos[i]+"</td>");
					out.println("</tr>");
					i++;
				}
					
			%>				
				</table><br>
				
				<FORM name="bajarEvento" action="Subir" method="POST">
					<p>Introduce el identificador del evento que quieres borrar:&nbsp;&nbsp;
				        <INPUT type="text" name="id" size="5">
				    </p>
				<BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarEvento">
				</FORM>
			
			<% 
			}
			if(numero==4){
			
				out.println("<br>Recuerda que para borrar una tactica debes haber eliminado primero todos los ejemplos relacionados con ella");	
				out.println("<br>Tacticas: <br>");
			%>
			
				<table border=1 align="center">
				<tr>
					<th>Identificador tactica</th>
					<th>Tactica</th>
				</tr>					
			<% 				
				//Mostramos las tacticas y sus identificadores 	
			
				String tacticas[]=s.listarTacticas();
				int i=0;
					
				while(i!=(s.numeroTacticas()*2)){					
					out.println("<tr>");
					out.println("<td>"+tacticas[i]+"</td>");
					i++;
					out.println("<td>"+tacticas[i]+"</td>");
					out.println("</tr>");
					i++;
				}
			%>				
				</table><br>
				<FORM name="bajarTactica" action="Subir" method="POST">
					<p>Introduce el identificador de la t&aacute;ctica que quieres borrar:&nbsp;&nbsp;
			       		<INPUT type="text" name="id" size="5">
			    	</p>
				<BR>
			   	<INPUT type="submit" value="Eliminar">
			   	<input type="hidden" name="operacion" value="bajarTactica">
				</FORM>
			<% 
			}
			if(numero==5){
				out.println("<br>Ejemplos: <br>");
			%>
				<table border=1 align="center">
				<tr>
					<th>Identificador ejemplo</th>
					<th>Ejemplo</th>
				</tr>
					
			<% 	
			//Mostramos los ejemplos y sus identificadores	

				String ejemplos[]=s.listarEjemplos();
				int i=0;
				while(i!=(s.numeroEjemplos()*2)){
					out.println("<tr>");
					out.println("<td>"+ejemplos[i]+"</td>");
					i++;
					out.println("<td>"+ejemplos[i]+"</td>");
					out.println("</tr>");
					i++;
				}
				
			%>				
				</table><br>
				<FORM name="bajarEjemplo" action="Subir" method="POST">
					
				    <p>Introduce el identificador del ejemplo que quieres borrar:&nbsp;&nbsp;
				        <INPUT type="text" name="id" size="5">
				    </p>
				<BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarEjemplo">
				</FORM>
		 	<%
		  	}
			if(numero==6){
				out.println("<br>Preguntas: <br>");
			%>
			
				<table border=1 align="center">
				<tr>
					<th>Identificador pregunta</th>
					<th>Pregunta</th>
				</tr>
	
			<%
			
				//Mostramos las preguntas y sus identificadores
			
				String preguntas[]=s.listarPreguntas();
				int i=0;
				
				while(i!=(s.numeroPreguntas()*2)){
				
					out.println("<tr>");
					out.println("<td>"+preguntas[i]+"</td>");
					i++;
					out.println("<td>"+preguntas[i]+"</td>");
					out.println("</tr>");
					i++;
				}
				
			%>				
				</table><br>
			<% 	
				//Mostramos la relacion de las preguntas con las evaluaciones
				out.println("<br>Relacion con las evaluaciones: <br>");				
			%>
				
				<table border=1 align="center">
				<tr>
					<th>Identificador evaluacion</th>
					<th>Identificador pregunta</th>
				</tr>

			<%
				String relaciones[]=s.listarRelaciones();
				int j=0;
					
				while(j!=(s.numeroRelaciones()*2)){	
					out.println("<tr>");
					out.println("<td>"+relaciones[j]+"</td>");
					j++;
					out.println("<td>"+relaciones[j]+"</td>");
					out.println("</tr>");
					j++;
				}					
			%>
				</table><br>
				<FORM name="bajarPregunta" action="Subir" method="POST">
					
				    <p>Introduce el identificador de la pregunta que quieres borrar:&nbsp;&nbsp;
				        <INPUT type="text" name="idPreg" size="5">
				    </p>
				    <p>Introduce el identificador de la evaluaci&oacute;n a la que pertenece:&nbsp;&nbsp;
				        <INPUT type="text" name="idEva" size="5">
				    </p>
				<BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarPregunta">
				</FORM>
			<%
			}
			if(numero==7){

				out.println("<br>Palabras: <br>");
			%>
				
				<table border=1 align="center">
				<tr>
					<th>Identificador palabra</th>
					<th>Palabra</th>
				</tr>

			<%
				//Mostramos las palabras del glosario y sus identificadores
			
				String palabras[]=s.listarPalabras();
				int i=0;
					
				while(i!=(s.numeroPalabras()*2)){
					
					out.println("<tr>");
					out.println("<td>"+palabras[i]+"</td>");
					i++;
					out.println("<td>"+palabras[i]+"</td>");
					out.println("</tr>");
					i++;
				}					
			%>				
				</table><br>
				<FORM name="bajarPalabra" action="Subir" method="POST">
					
				    <p>Introduce el identificador de la palabra que quieres borrar:&nbsp;&nbsp;
				        <INPUT type="text" name="id" size="5">
				    </p>
				    
				<BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarPalabra">
				</FORM>
		  	<%
		  	}
			if(numero==8){
				
				out.println("<br>Archivos: <br>");
			%>
				
				<table border=1 align="center">
				<tr>
					<th>Identificador archivo</th>
					<th>Nombre</th>
				</tr>
				
			<%
				//Mostramos los archivos que hay disponibles para descarga y sus identificadores	
			
				String archivos[]=s.listarArchivosIdRutaNombre();
				int i=0;
					
				while(i!=(s.numeroArchivos()*3)){
					out.println("<tr>");
					out.println("<td>"+archivos[i]+"</td>");
					i++;
					i++;
					out.println("<td>"+archivos[i]+"</td>");
					out.println("</tr>");
					i++;
				}
			%>				
				</table>
				<br>
				<FORM name="bajarArchivo" action="Subir" method="POST">
				
			    <p>Introduce el identificador del archivo que quieres borrar:&nbsp;&nbsp;
			        <INPUT type="text" name="id" size="5">
			    </p>
				<BR>
			   		<INPUT type="submit" value="Eliminar">
			   		<input type="hidden" name="operacion" value="bajarArchivo">
				</FORM>
				
			<% 
			}
			if(numero==9){
				out.println("<br>Recuerda que para borrar una evaluacion debes haber eliminado primero todas las preguntas relacionadas con ella");				
				out.println("<br>Evaluaciones: <br>");
			%>
			
			Evaluaciones<br>
				
				<table border=1 align="center">
				<tr>
					<th>Identificador evaluacion</th>
					<th>Evaluacion</th>
				</tr>
					
			<%
				//Mostramos las evaluaciones y sus identificadores	
			
				String evaluaciones[]=s.listarEvaluaciones();
				int i=0;
				
				
				while(i!=(s.numeroEvaluaciones()*2)){
				
					out.println("<tr>");
					out.println("<td>"+evaluaciones[i]+"</td>");
					i++;
					out.println("<td>"+evaluaciones[i]+"</td>");
					out.println("</tr>");
					i++;
				}
				
			%>				
				</table><br>
				<FORM name="bajarEvaluacion" action="Subir" method="POST">
							
						    <p>Introduce el identificador de la evaluaci&oacute;n que quieres borrar:&nbsp;&nbsp;
						        <INPUT type="text" name="id" size="5">
						    </p>
						<BR>
						   <INPUT type="submit" value="Elimniar">
						   <input type="hidden" name="operacion" value="bajarEvaluacion">
						</FORM>
			<% 	
			}if(numero==10){ 								
				out.println("<br>Enlaces: <br>");
			%>
			
				<table border=1 align="center">
				<tr>
					<th>Identificador enlace</th>
					<th>Enlace</th>
				</tr>
			
			<% 			
				String enlaces[]=s.listarEnlaces();
				int i=0;
			
				//Mostramos los enlaces y sus identificadores								
				while(i!=(s.numeroEnlaces()*3)){				
					out.println("<tr>");
					out.println("<td>"+enlaces[i]+"</td>");
					i++;
					i++;
					out.println("<td>"+enlaces[i]+"</td>");
					out.println("</tr>");
					i++;
				}
			
			%>					
				</table><br>
				<FORM name="bajarEnlace" action="Subir" method="POST">
					<p>Introduce el identificador del enlace que quieres borrar:&nbsp;&nbsp;
			        	<INPUT type="text" name="id" size="5">
			    	</p>
				    <BR>
				   <INPUT type="submit" value="Eliminar">
				   <input type="hidden" name="operacion" value="bajarEnlace">
				</FORM>
			<% 
			}
		}
		else{
			out.println("No tiene permisos para acceder");
		}
	}
	else{
		out.println("No tiene permisos para acceder a esta pagina vaya primero a la pagina de <a href=\"Login.jsp\">login</a>.");
	}
%>
    
</p>
<br><br>
</div></div></div>
</body>
</html>